GestionBddDAO

## Class ConfigBDD

- java.lang.Object
- - GestionBddDAO.ConfigBDD

    public class ConfigBDD
    extends java.lang.Object

Classe utilitaires stockant les paramétres de connexion à la bdd

### Field Summary

Fields
`private java.util.Properties` `conf` Objet permettant le stockage des infos et leur lecture/écritures.

### Constructor Summary

Constructors
Constructor and Description
`ConfigBDD()` Constructeur par défault

### Method Summary

Methods
`java.lang.String` `getIp()` Retourne l'adresse IP du serveur de la base de données.
`java.lang.String` `getLogin()` Retourne le login de l'utilisateur pour la base de données.
`java.lang.String` `getNomBdd()` Retourne le nom de la base de données.
`java.lang.String` `getPassword()` Retourne le mot de passe de l'utilisateur pour la base de données.
`int` `getPort()` Retourne le port de connexion à la base de données.
`boolean` `loadConf()` Initie la cofiguration depuis un fichier conf.xml lu dans le repertoire courant.
`void` `loadDefaultConf()` Charge une configuration par defaut.
`boolean` `saveConf()` Sauve la configuration actuelle dans un fichier conf.xml.
`void` `setIp(java.lang.String ip)` Change l'adresse IP de connexion à la base de données.
`void` `setLogin(java.lang.String login)` Change le login de l'utilisateur pour la base de données.
`void` `setNomBdd(java.lang.String nomBdd)` Change le nom de la base de données.
`void` `setPassword(java.lang.String password)` Change le mot de passe de l'utilisateur pour la base de données.
`void` `setPort(long port)` Change le port de connexion à la base de données.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### conf

    private java.util.Properties conf

Objet permettant le stockage des infos et leur lecture/écritures.

### Constructor Detail

#### ConfigBDD

    public ConfigBDD()

Constructeur par défault

### Method Detail

#### loadConf

    public boolean loadConf()

Initie la cofiguration depuis un fichier conf.xml lu dans le repertoire courant. Si le fichier n'existe pas, une configuration par defaut est chargée, et sauvegardée sur le disque.

Returns:
  true si le chargement à réussi, false sinon.

#### saveConf

    public boolean saveConf()

Sauve la configuration actuelle dans un fichier conf.xml.

Returns:
  true si la sauvegarde est réussie, false sinon.

#### loadDefaultConf

    public void loadDefaultConf()

Charge une configuration par defaut.

#### getNomBdd

    public java.lang.String getNomBdd()

Retourne le nom de la base de données.

Returns:
  Le nom de la base de données.

#### setNomBdd

    public void setNomBdd(java.lang.String nomBdd)

Change le nom de la base de données.

Parameters:
  `nomBdd` - Nom pour la base de données.

#### getPort

    public int getPort()

Retourne le port de connexion à la base de données.

Returns:
  Le port de connexion à la base de données.

#### setPort

    public void setPort(long port)

Change le port de connexion à la base de données.

Parameters:
  `port` - Port de connexion à la base de données.

#### getIp

    public java.lang.String getIp()

Retourne l'adresse IP du serveur de la base de données.

Returns:
  L'adresse IP du serveur de la base de données.

#### setIp

    public void setIp(java.lang.String ip)

Change l'adresse IP de connexion à la base de données.

Parameters:
  `ip` - Adresse IP du serveur hébergant la base de données.

#### getLogin

    public java.lang.String getLogin()

Retourne le login de l'utilisateur pour la base de données.

Returns:
  Login de l'utilisateur pour la base de données.

#### setLogin

    public void setLogin(java.lang.String login)

Change le login de l'utilisateur pour la base de données.

Parameters:
  `login` - Login de l'utilisateur.

#### getPassword

    public java.lang.String getPassword()

Retourne le mot de passe de l'utilisateur pour la base de données.

Returns:
  Mot de passe de l'utilisateur pour la base de données.

#### setPassword

    public void setPassword(java.lang.String password)

Change le mot de passe de l'utilisateur pour la base de données.

Parameters:
  `password` - Nouveau mot de passe